local on_enter_comics

function OnSceneLoad(screen)
    LoadData(screen)
    DefaultOnSceneLoad('data/Scenes/05_Metrodotel_Hall_Main.lua', 'quest')
	
	RegisterQuestObjects('area_exit', 'area_ho', 'area_attic')

	game_state.ignore_on_highlight['area_exit'] = true

    game_state.locked_objects['Metrodotel'] = true
    game_state.locked_objects['Woman'] = true

    on_enter_comics = CreateComics('05_OnEnter',
                                   CreateComicsFrame('Metrodotel', 'C_05_METRODOTEL_1', 'C_Metrodotel'),
                                   CreateComicsFrame('Woman', 'C_05_SARAH_1', 'C_Woman_1', 'slez'),
                                   CreateComicsFrame('Metrodotel', 'C_05_METRODOTEL_2', 'C_Metrodotel'),
                                   CreateComicsFrame('Metrodotel', 'C_05_METRODOTEL_3', 'C_Metrodotel'),
                                   CreateComicsFrame('Woman', 'C_05_SARAH_2', 'C_Woman_1', 'slez'),
                                   CreateComicsFrame('Woman', 'C_05_SARAH_3', 'C_Woman_1', 'slez'),
                                   CreateComicsFrame('Woman', 'C_05_SARAH_4', 'C_Woman_1', 'slez'),
                                   CreateComicsFrame('Metrodotel', 'C_05_METRODOTEL_4', 'C_Metrodotel'),
                                   CreateComicsFrame('Metrodotel', 'C_05_METRODOTEL_5', 'C_Metrodotel'),
                                   CreateComicsFrame('Metrodotel', 'C_05_METRODOTEL_6', 'C_Metrodotel'),
                                   CreateComicsFrame('Metrodotel', 'C_05_METRODOTEL_7', 'C_Metrodotel'),
                                   CreateComicsFrame('Woman', 'C_05_SARAH_5', 'C_Woman_1', 'slez'),
                                   CreateComicsFrame('Metrodotel', 'C_05_METRODOTEL_8', 'C_Metrodotel'))
    if on_enter_comics then
        TimerDoString('StartOnEnterComics()', 1.5, play_field:GetTimer())
    else
        OnOnEnterComicsShown()
    end

    local set_random_frame = function(anim)
        anim:SetFrame(math.random(0, anim:GetFrames() - 1))
    end

	set_random_frame(play_field:GetObject('candle_10'):GetAnimation())
	set_random_frame(play_field:GetObject('candle_20'):GetAnimation())
	set_random_frame(play_field:GetObject('candle_30'):GetAnimation())
	set_random_frame(play_field:GetObject('candle_11'):GetAnimation())
	set_random_frame(play_field:GetObject('candle_21'):GetAnimation())
	set_random_frame(play_field:GetObject('candle_31'):GetAnimation())
	set_random_frame(play_field:GetObject('candle_12'):GetAnimation())
	set_random_frame(play_field:GetObject('candle_22'):GetAnimation())
	set_random_frame(play_field:GetObject('candle_32'):GetAnimation())
	set_random_frame(play_field:GetObject('candle_13'):GetAnimation())
	set_random_frame(play_field:GetObject('candle_23'):GetAnimation())
	set_random_frame(play_field:GetObject('candle_33'):GetAnimation())
	set_random_frame(play_field:GetObject('candle_14'):GetAnimation())
	set_random_frame(play_field:GetObject('candle_24'):GetAnimation())
	set_random_frame(play_field:GetObject('candle_34'):GetAnimation())
	set_random_frame(play_field:GetObject('candle_15'):GetAnimation())
	set_random_frame(play_field:GetObject('candle_25'):GetAnimation())
	set_random_frame(play_field:GetObject('candle_35'):GetAnimation())
	set_random_frame(play_field:GetObject('candle_16'):GetAnimation())
	set_random_frame(play_field:GetObject('candle_26'):GetAnimation())
	set_random_frame(play_field:GetObject('candle_36'):GetAnimation())
	set_random_frame(play_field:GetObject('candle_17'):GetAnimation())
	set_random_frame(play_field:GetObject('candle_27'):GetAnimation())
	set_random_frame(play_field:GetObject('candle_37'):GetAnimation())
	set_random_frame(play_field:GetObject('candle_18'):GetAnimation())
	set_random_frame(play_field:GetObject('candle_28'):GetAnimation())
	set_random_frame(play_field:GetObject('candle_38'):GetAnimation())
	
	local megoLight = MegoLightEffector();
	megoLight:AttachTo(play_field:GetObject('Fireplace_light'));
	megoLight:Play();

	game_state.ignore_on_highlight['area_exit'] = true

	if (Door_opening_condition())
	then
	    AddOpenDoor(screen);
	end
	
	MakeSoundEntity("Fireplace"):Play(true);
	
end

function StartOnEnterComics()
    on_enter_comics.on_finish = function()
        OnOnEnterComicsShown()
    end
    on_enter_comics.SetVisible(true)
end

function Door_opening_condition()

    return HasGameState('ToolFound', '05_screwdriver') and
           HasGameState('AllSceneTaskObjectsFound', 'data/Scenes/05_Metrodotel_Hall_HO.lua') and
           HasGameState('ToolFound', '05_oiler') and
           HasGameState('AllSceneTaskObjectsFound', 'data/Scenes/05_Metrodotel_Attic_HO.lua')
         
end

function OnOnEnterComicsShown()
    game_state.locked_objects['Metrodotel'] = false
    game_state.locked_objects['Woman'] = false

    local activate_zones = function()
        LinkScene('area_ho', 'CursorGlass', 'data/Scenes/05_Metrodotel_Hall_HO.lua', true)
        LinkScene('area_attic', 'CursorGlass', 'data/Scenes/05_Metrodotel_Attic_HO.lua', true)

        local door_closed_comics = function()
            if HasGameState('ComicsShown', '05_DoorClosed') then
                RemoveGameState('ComicsShown', '05_DoorClosed')
            end
            local c = CreateComics('05_DoorClosed',
                                   CreateComicsFrame('PlayerMonolog', 'C_05_DOOR_DENY'))
            if c then
                c.SetVisible(true)
            end
        end

        LinkScene('area_exit',
                  'CursorDoorUp',
                  'data/Scenes/06_Hotel_Street_Evening_Main.lua',
                  false,
                  Door_opening_condition,
                  door_closed_comics)
    end

    local hide_characters = function()
        play_field:GetObject('Metrodotel'):SetOpacity(0.)
        play_field:GetObject('Woman'):SetOpacity(0.)
    end

    hide_characters()
    activate_zones()

    RegisterActiveObject('area_dark_window',
        function()
            ShowMonolog('dark_window_in_05',
                        SelectRandom('C_05_DARK_WINDOW_1', 'C_05_DARK_WINDOW_2'))
			game_state.ignore_on_highlight['area_dark_window'] = true
        end,
        function()
			game_state.ignore_on_highlight['area_dark_window'] = true
        end,
		true,
		'CursorGlass');
	RegisterActiveObject('area_wife_portrait',
        function()
            ShowMonolog('wife_portrait_in_05',
                        SelectRandom('C_05_WIFE_PORTRAIT_1', 'C_05_WIFE_PORTRAIT_2'))
            
			game_state.ignore_on_highlight['area_wife_portrait'] = true
        end,
        function()
			game_state.ignore_on_highlight['area_wife_portrait'] = true
        end,
		true,
		'CursorGlass');
	RegisterActiveObject('area_roses',
        function()
            ShowMonolog('roses_in_05', 'C_05_ROSES_COMMENT')

			game_state.ignore_on_highlight['area_roses'] = true
        end,
        function()
			game_state.ignore_on_highlight['area_roses'] = true
        end,
		true,
		'CursorGlass');
end

function OnSceneFree(screen)
    DefaultOnSceneFree()
    FreeData(screen)
end

function OnUpdate(dt)
    DefaultOnUpdate(dt)

    if not HasGameState('ComicsShown', '05_DoorOpen') and
       game_state.door_open_comics_shown ~= true
    then
        if HasGameState('ToolFound', '05_screwdriver') and
           HasGameState('AllSceneTaskObjectsFound', 'data/Scenes/05_Metrodotel_Hall_HO.lua') and
           HasGameState('ToolFound', '05_oiler') and
           HasGameState('AllSceneTaskObjectsFound', 'data/Scenes/05_Metrodotel_Attic_HO.lua') and
           not game_state.active_zone
        then
            local c = CreateComics('05_DoorOpen',
                                   CreateComicsFrame('PlayerMonolog', 'C_05_DOOR_OPEN'))
            if c then
                game_state.door_open_comics_shown = true
                c.SetVisible(true)
                AddOpenDoor(play_field);
                PlaySound("Door_opening");
            end
        end
    end
end

function OnAllItemsFound()
    DefaultOnAllItemsFound()
end

function OnLose()
    DefaultOnLose()
end

function OnExit()
    DefaultOnExit()
end

function OnClose()
    DefaultOnClose()
end

function OnObjectMouseEnter(object)
    DefaultOnObjectMouseEnter(object)
end

function OnObjectMouseLeave(object)
    DefaultOnObjectMouseLeave(object)
end

function OnObjectMouseDown(object)
    local is_wrong_click = not DefaultOnObjectMouseDown(object)
    local obj_name = object:GetName()
    local pf = play_field

    DefaultOnObjectMouseDownProcessed(is_wrong_click);
    
end

function OnObjectMouseUp(object)
    DefaultOnObjectMouseUp(object)
end

function OnObjectFound(object)
    DefaultOnObjectFound(object)
end

function OnToolFound(tool)
    DefaultOnToolFound(tool)
end

function OnToolApply(tool, object)
    DefaultOnToolApply(tool, object)
end

function OnObjectReachPanel(object)
    DefaultOnObjectReachPanel(object)
end

function OnButtonPress(title)
    DefaultOnButtonPress(title)
end

function OnMouseMove(previous_pos, current_pos)
    DefaultOnMouseMove(previous_pos, current_pos)
end

function OnSetTool(tool)
    DefaultOnSetTool(tool)
end

function LevelLoaded(level)

end

function AddOpenDoor(scene)
    game_state.ignore_on_highlight['area_exit'] = false
    HighlightObject('area_exit')

    if (scene.openDoorAdded)
    then
        return;
    end
    
    local anim = CreateAnimation('data/Texture/Scenes/05_Metrodotel_Hall/Zone_Main/Layers/door.png',
                                 0, 0, 74, 141, 1, 0)
	anim:SetHotSpot(37, 70)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	scene:CreateObject('Open_door',anim,716,427,41,0,1,1)
	
	local anim = CreateAnimation('data/Texture/Scenes/05_Metrodotel_Hall/Zone_Main/Layers/door_Light.png',
                                 0, 0, 167, 293, 1, 0)
	anim:SetHotSpot(83, 146)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	scene:CreateObject('Open_door_light',anim,764,442,42,0,1,1)
	
	scene.openDoorAdded = true;

end

function OnSceneDestroy(playfield)
    DefaultOnSceneDestroy(playfield)
end

--------------------------------------------------------------------------------
-- CLEAR_ON_SAVE_BEGIN
-- Do not edit code listed below (generated by the editor on each save)
function LoadData(screen)
	local anim = CreateAnimation('data/Texture/Scenes/05_Metrodotel_Hall/Zone_Main/Layers/BG_Metrodotel_Hall.jpg',0,0,1024,768,1,0)
	anim:SetHotSpot(512,384)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('BG_Metrodotel_Hall',anim,512,384,40,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/Common/area.png',0,0,8,8,1,0)
	anim:SetHotSpot(4,4)
	anim:SetBlendMode(2)
	anim:SetColor('0x01FFFFFF')
	screen:CreateObject('area_ho',anim,432,437,95,0,11.5,30)
	local anim = CreateAnimation('data/Texture/Scenes/Common/area.png',0,0,8,8,1,0)
	anim:SetHotSpot(4,4)
	anim:SetBlendMode(2)
	anim:SetColor('0x01FFFFFF')
	screen:CreateObject('area_exit',anim,714,421,102,0,10,20)
	local anim = CreateAnimation('data/Texture/Scenes/05_Metrodotel_Hall/Zone_Main/Layers/Metrodotel.PNG',0,0,194,427,1,0)
	anim:SetHotSpot(97,213)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Metrodotel',anim,223,490,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/05_Metrodotel_Hall/Zone_Main/Zoom_Dialogs/Metrodotel.JPG',0,0,1024,768,1,0)
	anim:SetHotSpot(512,384)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('C_Metrodotel',anim,512,384,150,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/05_Metrodotel_Hall/Zone_Main/Zoom_Dialogs/Woman_1.JPG',0,0,1024,768,1,0)
	anim:SetHotSpot(512,384)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('C_Woman_1',anim,512,384,151,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/05_Metrodotel_Hall/Zone_Main/Zoom_Dialogs/Woman_2.JPG',0,0,1024,768,1,0)
	anim:SetHotSpot(512,384)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('C_Woman_2',anim,512,384,152,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/Common/area.png',0,0,8,8,1,0)
	anim:SetHotSpot(4,4)
	anim:SetBlendMode(2)
	anim:SetColor('0x01FFFFFF')
	screen:CreateObject('area_attic',anim,340,119,100,0,15,15)
	local anim = CreateAnimation('data/Texture/Scenes/05_Metrodotel_Hall/Zone_Main/Layers/slez.png',0,0,150,148,32,10)
	anim:SetHotSpot(75,74)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('slez',anim,344,301,153,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/05_Metrodotel_Hall/Zone_Main/Layers/Woman.PNG',0,0,221,394,1,0)
	anim:SetHotSpot(110,197)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Woman',anim,415,568,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/05_Metrodotel_Hall/Zone_Main/Interactives/svechka2_20x40.png',0,0,20,40,25,12)
	anim:SetHotSpot(10,20)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('candle_10',anim,460,99,100,0,0.5,0.5)
	local anim = CreateAnimation('data/Texture/Scenes/05_Metrodotel_Hall/Zone_Main/Interactives/svechka3_20x40.png',0,0,20,40,25,12)
	anim:SetHotSpot(10,20)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('candle_20',anim,662,499,100,0,0.5,0.5)
	local anim = CreateAnimation('data/Texture/Scenes/05_Metrodotel_Hall/Zone_Main/Interactives/svechka4_20x40.png',0,0,20,40,25,12)
	anim:SetHotSpot(10,20)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('candle_30',anim,900,292,100,0,0.5,0.5)
	local anim = CreateAnimation('data/Texture/Scenes/05_Metrodotel_Hall/Zone_Main/Interactives/svechka2_20x40.png',0,0,20,40,25,12)
	anim:SetHotSpot(10,20)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('candle_11',anim,469,93,100,0,0.5,0.5)
	local anim = CreateAnimation('data/Texture/Scenes/05_Metrodotel_Hall/Zone_Main/Interactives/svechka3_20x40.png',0,0,20,40,25,12)
	anim:SetHotSpot(10,20)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('candle_21',anim,679,494,100,0,0.5,0.5)
	local anim = CreateAnimation('data/Texture/Scenes/05_Metrodotel_Hall/Zone_Main/Interactives/svechka4_20x40.png',0,0,20,40,25,12)
	anim:SetHotSpot(10,20)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('candle_31',anim,913,282,100,0,0.5,0.5)
	local anim = CreateAnimation('data/Texture/Scenes/05_Metrodotel_Hall/Zone_Main/Interactives/svechka2_20x40.png',0,0,20,40,25,12)
	anim:SetHotSpot(10,20)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('candle_12',anim,484,72,100,0,0.5,0.5)
	local anim = CreateAnimation('data/Texture/Scenes/05_Metrodotel_Hall/Zone_Main/Interactives/svechka3_20x40.png',0,0,20,40,25,12)
	anim:SetHotSpot(10,20)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('candle_22',anim,692,470,100,0,0.5,0.5)
	local anim = CreateAnimation('data/Texture/Scenes/05_Metrodotel_Hall/Zone_Main/Interactives/svechka4_20x40.png',0,0,20,40,25,12)
	anim:SetHotSpot(10,20)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('candle_32',anim,925,297,100,0,0.5,0.5)
	local anim = CreateAnimation('data/Texture/Scenes/05_Metrodotel_Hall/Zone_Main/Interactives/svechka2_20x40.png',0,0,20,40,25,12)
	anim:SetHotSpot(10,20)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('candle_13',anim,497,75,100,0,0.5,0.5)
	local anim = CreateAnimation('data/Texture/Scenes/05_Metrodotel_Hall/Zone_Main/Interactives/svechka3_20x40.png',0,0,20,40,25,12)
	anim:SetHotSpot(10,20)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('candle_23',anim,722,492,100,0,0.5,0.5)
	local anim = CreateAnimation('data/Texture/Scenes/05_Metrodotel_Hall/Zone_Main/Interactives/svechka4_20x40.png',0,0,20,40,25,12)
	anim:SetHotSpot(10,20)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('candle_33',anim,936,293,100,0,0.5,0.5)
	local anim = CreateAnimation('data/Texture/Scenes/05_Metrodotel_Hall/Zone_Main/Interactives/svechka2_20x40.png',0,0,20,40,25,12)
	anim:SetHotSpot(10,20)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('candle_14',anim,506,106,100,0,0.5,0.5)
	local anim = CreateAnimation('data/Texture/Scenes/05_Metrodotel_Hall/Zone_Main/Interactives/svechka3_20x40.png',0,0,20,40,25,12)
	anim:SetHotSpot(10,20)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('candle_24',anim,601,76,100,0,0.5,0.5)
	local anim = CreateAnimation('data/Texture/Scenes/05_Metrodotel_Hall/Zone_Main/Interactives/svechka4_20x40.png',0,0,20,40,25,12)
	anim:SetHotSpot(10,20)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('candle_34',anim,891,297,100,0,0.5,0.5)
	local anim = CreateAnimation('data/Texture/Scenes/05_Metrodotel_Hall/Zone_Main/Interactives/svechka2_20x40.png',0,0,20,40,25,12)
	anim:SetHotSpot(10,20)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('candle_15',anim,543,81,100,0,0.5,0.5)
	local anim = CreateAnimation('data/Texture/Scenes/05_Metrodotel_Hall/Zone_Main/Interactives/svechka3_20x40.png',0,0,20,40,25,12)
	anim:SetHotSpot(10,20)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('candle_25',anim,610,101,100,0,0.5,0.5)
	local anim = CreateAnimation('data/Texture/Scenes/05_Metrodotel_Hall/Zone_Main/Interactives/svechka4_20x40.png',0,0,20,40,25,12)
	anim:SetHotSpot(10,20)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('candle_35',anim,617,330,100,0,0.5,0.5)
	local anim = CreateAnimation('data/Texture/Scenes/05_Metrodotel_Hall/Zone_Main/Interactives/svechka2_20x40.png',0,0,20,40,25,12)
	anim:SetHotSpot(10,20)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('candle_16',anim,586,109,100,0,0.5,0.5)
	local anim = CreateAnimation('data/Texture/Scenes/05_Metrodotel_Hall/Zone_Main/Interactives/svechka3_20x40.png',0,0,20,40,25,12)
	anim:SetHotSpot(10,20)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('candle_26',anim,581,75,100,0,0.5,0.5)
	local anim = CreateAnimation('data/Texture/Scenes/05_Metrodotel_Hall/Zone_Main/Interactives/svechka4_20x40.png',0,0,20,40,25,12)
	anim:SetHotSpot(10,20)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('candle_36',anim,587,331,100,0,0.5,0.5)
	local anim = CreateAnimation('data/Texture/Scenes/05_Metrodotel_Hall/Zone_Main/Interactives/svechka2_20x40.png',0,0,20,40,25,12)
	anim:SetHotSpot(10,20)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('candle_17',anim,589,76,100,0,0.5,0.5)
	local anim = CreateAnimation('data/Texture/Scenes/05_Metrodotel_Hall/Zone_Main/Interactives/svechka3_20x40.png',0,0,20,40,25,12)
	anim:SetHotSpot(10,20)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('candle_27',anim,83,189,100,0,0.5,0.5)
	local anim = CreateAnimation('data/Texture/Scenes/05_Metrodotel_Hall/Zone_Main/Interactives/svechka4_20x40.png',0,0,20,40,25,12)
	anim:SetHotSpot(10,20)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('candle_37',anim,136,353,100,0,0.5,0.5)
	local anim = CreateAnimation('data/Texture/Scenes/05_Metrodotel_Hall/Zone_Main/Interactives/svechka2_20x40.png',0,0,20,40,25,12)
	anim:SetHotSpot(10,20)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('candle_18',anim,625,104,100,0,0.5,0.5)
	local anim = CreateAnimation('data/Texture/Scenes/05_Metrodotel_Hall/Zone_Main/Interactives/svechka3_20x40.png',0,0,20,40,25,12)
	anim:SetHotSpot(10,20)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('candle_28',anim,38,182,100,0,0.5,0.5)
	local anim = CreateAnimation('data/Texture/Scenes/05_Metrodotel_Hall/Zone_Main/Interactives/svechka4_20x40.png',0,0,20,40,25,12)
	anim:SetHotSpot(10,20)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('candle_38',anim,709,507,100,0,0.5,0.5)
	local anim = CreateAnimation('data/Texture/Scenes/05_Metrodotel_Hall/Zone_Main/Animations/Fireplace_inner.png',0,0,76,127,6,12)
	anim:SetHotSpot(38,64)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Fireplace_inner',anim,876,560,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/05_Metrodotel_Hall/Zone_Main/Layers/Fireplace_light.png',0,0,309,309,1,0)
	anim:SetHotSpot(155,155)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Fireplace_light',anim,846,562,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/Common/area.png',0,0,8,8,1,0)
	anim:SetHotSpot(4,4)
	anim:SetBlendMode(2)
	anim:SetColor('0x01FFFFFF')
	screen:CreateObject('area_dark_window',anim,714,197,100,0,10,12)
	local anim = CreateAnimation('data/Texture/Scenes/Common/area.png',0,0,8,8,1,0)
	anim:SetHotSpot(4,4)
	anim:SetBlendMode(2)
	anim:SetColor('0x01FFFFFF')
	screen:CreateObject('area_wife_portrait',anim,904,204,101,0,13,22)
	local anim = CreateAnimation('data/Texture/Scenes/Common/area.png',0,0,8,8,1,0)
	anim:SetHotSpot(4,4)
	anim:SetBlendMode(2)
	anim:SetColor('0x01FFFFFF')
	screen:CreateObject('area_roses',anim,618,481,101,0,20,12)
end

function FreeData(screen)
end
-- CLEAR_ON_SAVE_END
